# Knekkfjall of the Crisp Tundra

**Entity Type:** Specialist

## Properties

| Field | Value |
|-------|-------|
| Rarity | Epic |
| Category | Civic |
| Slot Type | Specialist |
| Scope | Residences in range |

## Effects

| Effect Type | Target | Value | Scope |
|------------|--------|-------|-------|
| Prestige from Cheese | Residences | +3 | If supplied |

## Improves Buildings

- Residence (Albion)
- Residence (Latium)

## Improves Goods

- Cheese

## Source

Albion Traders

## Stack Rules

Unknown

## Usage Patterns

Slot into a Governor Villa or Officium covering residential areas to boost prestige from Cheese by +3 for residences in range. Requires Cheese to be supplied to the residences to receive the benefit.

## Common Pitfalls

The prestige bonus only applies when Cheese is supplied to the residences. Ensure your cheese supply chains are operational and residences are receiving the good before expecting prestige increases.
